Subject: Re: [PATCH net] xps: must clear sender_cpu before forwarding

From: John <[email-masked]>
Date: Thu, 12 Mar 2015 19:36:38 -0700

On 3/11/2015 8:51 PM, David Miller wrote:
> From: Eric Dumazet <[email-masked]>
> Date: Wed, 11 Mar 2015 18:42:02 -0700
>
>> From: Eric Dumazet <[email-masked]>
>>
>> John reported that my previous commit added a regression
>> on his router.
>>
>> This is because sender_cpu & napi_id share a common location,
>> so get_xps_queue() can see garbage and perform an out of bound access.
>>
>> We need to make sure sender_cpu is cleared before doing the transmit,
>> otherwise any NIC busy poll enabled (skb_mark_napi_id()) can trigger
>> this bug.
>>
>> Signed-off-by: Eric Dumazet <[email-masked]>
>> Reported-by: John <[email-masked]>
>> Bisected-by: John <[email-masked]>
>> Fixes: 2bd82484bb4c ("xps: fix xps for stacked devices")
> Applied, thanks Eric.

Running this patch, I have confirmed that I no longer see panics under 
the conditions that I saw them previously.

-John